"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addValidateCLI = void 0;
const commander_1 = require("commander");
const myst_cli_utils_1 = require("myst-cli-utils");
const session_1 = require("../session");
const validate_1 = require("../validate");
function makeValidateCLI(program) {
    const command = new commander_1.Command('validate')
        .description('Fetch JATS DTD schema file from nih.gov ftp server')
        .argument('<file>', 'JATS file to validate')
        .addOption(new commander_1.Option('--jats <version>', 'JATS version, must be 1.2 or later').default('1.3'))
        .addOption(new commander_1.Option('--mathml <version>', 'MathML version, 2 or 3').default('3'))
        .addOption(new commander_1.Option('--oasis', 'Use OASIS table model').default(false))
        .addOption(new commander_1.Option('--directory <value>', 'Directory to save DTD file'))
        .action((0, myst_cli_utils_1.clirun)(validate_1.validateJatsAgainstDtdWrapper, { program, getSession: session_1.getSession }));
    return command;
}
function addValidateCLI(program) {
    program.addCommand(makeValidateCLI(program));
}
exports.addValidateCLI = addValidateCLI;
